REM https://codeload.github.com/flavio/qjson/zip/0.8.1 => qjson-0.8.1.zip

set ARCH=%1
if "%ARCH%"=="x86" (
        set OSGEO4W_ROOT=C:\OSGeo4W
        set VCARCH=x86
	set CMAKEGEN=Visual Studio 10
) else (
        set OSGEO4W_ROOT=C:\OSGeo4W64
        set VCARCH=x64
	set CMAKEGEN=Visual Studio 10 Win64
)

set P=qjson
set V=0.8.1
set B=1

set R=..\..\..\%ARCH%\release\%P%
for %%i in (dev libs) do (
	if not exist %R%\%P%-%%i mkdir %R%\%P%-%%i
	copy %%i.hint %R%\%P%-%%i\setup.hint
	copy ..\LICENSE.txt %R%\%P%-%%i %R%\%P%-%%i\%P%-%%i-%V%-%B%.txt
)

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
path %SYSTEMROOT%\system32;%SYSTEMROOT%;%SYSTEMROOT%\System32\Wbem;%pf%\CMake\bin
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" %VCARCH%
path %pf%\Microsoft Visual Studio 10.0\Common7\IDE;%PATH%
set OLDPATH=%PATH%
call "%OSGEO4W_ROOT%\bin\o4w_env.bat"
path %OLDPATH%;%OSGEO4W_ROOT%\bin;c:\cygwin\bin
echo on

if not exist build-%ARCH% mkdir build-%ARCH%
if not exist install-%ARCH% mkdir install-%ARCH%
set INSTDIR=%CD%\install-%ARCH%
cd build-%ARCH%

set LIB=%LIB%;%OSGEO4W_ROOT%\lib
set INCLUDE=%INCLUDE%;%OSGEO4W_ROOT%\include

set BUILDCONF=RelWithDebInfo

cmake -G "%CMAKEGEN%" ^
	-DCMAKE_CONFIGURATION_TYPES=%BUILDCONF% ^
	-DCMAKE_PREFIX_PATH=%OSGEO4W_ROOT%/apps/qjson ^
	-DCMAKE_INSTALL_PREFIX=%INSTDIR% ^
        ..\..
if errorlevel 1 goto error

for %%i in (ZERO_CHECK ALL_BUILD INSTALL) do (
	echo %%i: %DATE% %TIME%
	devenv qjson.sln /Project %%i /Build %BUILDCONF%
	if errorlevel 1 (echo %%i error & goto error)
)

cd ..

copy ..\README.license %R%\%P%-libs\%P%-libs-%V%-%B%.txt
tar -C .. -cjf %R%\%P%-libs\%P%-libs-%V%-%B%-src.tar.bz2 osgeo4w/package.cmd osgeo4w/dev.hint osgeo4w/libs.hint
tar -C %INSTDIR% -cvjf %R%\%P%-libs\%P%-libs-%V%-%B%.tar.bz2 bin
if errorlevel 1 goto error

copy ..\README.license %R%\%P%-dev\%P%-dev-%V%-%B%.txt
tar -C %INSTDIR% -cvjf %R%\%P%-dev\%P%-dev-%V%-%B%.tar.bz2 ^
        include ^
        lib
if errorlevel 1 goto error

:error
